com.corticon.rulesemf.canonicalvocabularymodel

## Interface CanonicalvocabularymodelPackage.Literals

- Enclosing interface:
    CanonicalvocabularymodelPackage

      public static interface CanonicalvocabularymodelPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `ASSOCIATION_END_EXTENSION` The meta object literal for the '`Association End Extension`' class
    `static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_END_EXTENSION__IDENTITY_ENTITY` The meta object literal for the 'Identity Entity' reference feature
    `static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_END_EXTENSION__JAVA_OBJECT_FIELD_NAME` The meta object literal for the 'Java Object Field Name' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_END_EXTENSION__JAVA_OBJECT_GET_METHOD` The meta object literal for the 'Java Object Get Method' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_END_EXTENSION__JAVA_OBJECT_SET_METHOD` The meta object literal for the 'Java Object Set Method' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_END_EXTENSION__JOIN_EXPRESSION` The meta object literal for the 'Join Expression' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_END_EXTENSION__XML_PROPERTY_NAME` The meta object literal for the 'XML Property Name' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `ATTRIBUTE_EXTENSION` The meta object literal for the '`Attribute Extension`' class
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__CUSTOM_DATA_TYPE` The meta object literal for the 'Custom Data Type' reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__DATA_TYPE` The meta object literal for the 'Data Type' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__FIELD_COLUMN` The meta object literal for the 'Field Column' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__FIELD_DEFAULT_FETCH_GROUP` The meta object literal for the 'Field Default Fetch Group' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__FIELD_NULL_VALUE` The meta object literal for the 'Field Null Value' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__FIELD_SEQUENCE` The meta object literal for the 'Field Sequence' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_NAME_COLUMN_NAME` The meta object literal for the 'Field Sequence Name Column Name' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_NEXTVAL_COLUMN_NAME` The meta object literal for the 'Field Sequence Nextval Column Name' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_TABLE_NAME` The meta object literal for the 'Field Sequence Table Name' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__FIELD_VALUE_STRATEGY` The meta object literal for the 'Field Value Strategy' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__IDENTITY_ENTITY` The meta object literal for the 'Identity Entity' reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__JAVA_OBJECT_FIELD_NAME` The meta object literal for the 'Java Object Field Name' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__JAVA_OBJECT_GET_METHOD` The meta object literal for the 'Java Object Get Method' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__JAVA_OBJECT_SET_METHOD` The meta object literal for the 'Java Object Set Method' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__MODE` The meta object literal for the 'Mode' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__XML_NAMESPACE` The meta object literal for the 'XML Namespace' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE_EXTENSION__XML_PROPERTY_NAME` The meta object literal for the 'XML Property Name' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `CUSTOM_DATA_TYPE` The meta object literal for the '`Custom Data Type`' class
    `static org.eclipse.emf.ecore.EReference` | `CUSTOM_DATA_TYPE__BASE_DATA_TYPE` The meta object literal for the 'Base Data Type' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `CUSTOM_DATA_TYPE__CONSTRAINT_EXPRESSION` The meta object literal for the 'Constraint Expression' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `CUSTOM_DATA_TYPE__DATA_TYPE_NAME` The meta object literal for the 'Data Type Name' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `CUSTOM_DATA_TYPE__DATABASE_LOOKUP_PROPERTIES` The meta object literal for the 'Database Lookup Properties' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_DATA_TYPE__DISCOVERED` The meta object literal for the 'Discovered' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `CUSTOM_DATA_TYPE__EDATA_TYPE` The meta object literal for the 'EData Type' reference feature
    `static org.eclipse.emf.ecore.EReference` | `CUSTOM_DATA_TYPE__ENUMERATION` The meta object literal for the 'Enumeration' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_DATA_TYPE__ENUMERATION_DISPLAY_COUNT` The meta object literal for the 'Enumeration Display Count' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `CUSTOM_DATA_TYPE__ENUMERATION_ELEMENTS` The meta object literal for the 'Enumeration Elements' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_DATA_TYPE__GUID` The meta object literal for the 'Guid' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `DATA_TYPE` The meta object literal for the '`Data Type`' enum
    `static org.eclipse.emf.ecore.EClass` | `DATA_TYPE_MAPPING` The meta object literal for the '`Data Type Mapping`' class
    `static org.eclipse.emf.ecore.EReference` | `DATA_TYPE_MAPPING__EXTENDED_TYPE` The meta object literal for the 'Extended Type' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `DATA_TYPE_MAPPING__VOCABULARY_DATA_TYPE` The meta object literal for the 'Vocabulary Data Type' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `DATABASE_ACCESS` The meta object literal for the '`Database Access`' class
    `static org.eclipse.emf.ecore.EReference` | `DATABASE_ACCESS__CATALOG_FILTER` The meta object literal for the 'Catalog Filter' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `DATABASE_ACCESS__DATABASE_ID` The meta object literal for the 'Database Id' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `DATABASE_ACCESS__DATABASE_PROPERTY_DISPLAY_COUNT` The meta object literal for the 'Database Property Display Count' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `DATABASE_ACCESS__DATABASE_PROPERTY_LIST` The meta object literal for the 'Database Property List' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `DATABASE_ACCESS__DATABASE_URL` The meta object literal for the 'Database URL' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `DATABASE_ACCESS__JDBC_DRIVER_CLASS` The meta object literal for the 'Jdbc Driver Class' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `DATABASE_ACCESS__PASSWORD` The meta object literal for the 'Password' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `DATABASE_ACCESS__SCHEMA_FILTER` The meta object literal for the 'Schema Filter' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `DATABASE_ACCESS__USERNAME` The meta object literal for the 'Username' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `DATABASE_LOOKUP_PROPERTIES` The meta object literal for the '`Database Lookup Properties`' class
    `static org.eclipse.emf.ecore.EReference` | `DATABASE_LOOKUP_PROPERTIES__LABELS_COLUMN_NAME` The meta object literal for the 'Labels Column Name' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `DATABASE_LOOKUP_PROPERTIES__TABLE_NAME` The meta object literal for the 'Table Name' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `DATABASE_LOOKUP_PROPERTIES__VALUES_COLUMN_NAME` The meta object literal for the 'Values Column Name' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `DATABASE_PROPERTY` The meta object literal for the '`Database Property`' class
    `static org.eclipse.emf.ecore.EReference` | `DATABASE_PROPERTY__NAME` The meta object literal for the 'Name' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `DATABASE_PROPERTY__VALUE` The meta object literal for the 'Value' containment reference feature
    `static org.eclipse.emf.ecore.EDataType` | `DATE` The meta object literal for the 'Date' data type
    `static org.eclipse.emf.ecore.EDataType` | `DATE_TIME` The meta object literal for the 'Date Time' data type
    `static org.eclipse.emf.ecore.EClass` | `DOMAIN_EXTENSION` The meta object literal for the '`Domain Extension`' class
    `static org.eclipse.emf.ecore.EClass` | `ENTITY_EXTENSION` The meta object literal for the '`Entity Extension`' class
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__CLASS_TABLE` The meta object literal for the 'Class Table' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__DATASTORE_CACHING` The meta object literal for the 'Datastore Caching' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__DATASTORE_IDENTITY_COLUMN` The meta object literal for the 'Datastore Identity Column' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE` The meta object literal for the 'Datastore Identity Sequence' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_NAME_COLUMN_NAME` The meta object literal for the 'Datastore Identity Sequence Name Column Name' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_NEXTVAL_COLUMN_NAME` The meta object literal for the 'Datastore Identity Sequence Nextval Column Name' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_TABLE_NAME` The meta object literal for the 'Datastore Identity Sequence Table Name' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__DATASTORE_IDENTITY_STRATEGY` The meta object literal for the 'Datastore Identity Strategy' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__DATASTORE_PERSISTENT` The meta object literal for the 'Datastore Persistent' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__IDENTITY_ASSOCIATION_ENDS` The meta object literal for the 'Identity Association Ends' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__IDENTITY_ATTRIBUTES` The meta object literal for the 'Identity Attributes' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__JAVA_CLASS_NAME` The meta object literal for the 'Java Class Name' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__JAVA_PACKAGE` The meta object literal for the 'Java Package' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__VERSION_COLUMN` The meta object literal for the 'Version Column' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__VERSION_STRATEGY` The meta object literal for the 'Version Strategy' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__XML_CLASS_NAME` The meta object literal for the 'XML Class Name' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_EXTENSION__XML_NAMESPACE` The meta object literal for the 'XML Namespace' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `ENTITY_MAPPING` The meta object literal for the '`Entity Mapping`' class
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_MAPPING__EXTENDED_TABLE` The meta object literal for the 'Extended Table' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ENTITY_MAPPING__VOCABULARY_ENTITY` The meta object literal for the 'Vocabulary Entity' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `ENUMERATION_ELEMENT` The meta object literal for the '`Enumeration Element`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ENUMERATION_ELEMENT__GUID` The meta object literal for the 'Guid' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `ENUMERATION_ELEMENT__LABEL` The meta object literal for the 'Label' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `ENUMERATION_ELEMENT__VALUE` The meta object literal for the 'Value' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `EXTENDED_PERSISTENT_ATTRIBUTES` The meta object literal for the '`Extended Persistent Attributes`' class
    `static org.eclipse.emf.ecore.EReference` | `EXTENDED_PERSISTENT_ATTRIBUTES__DATA_TYPE_MAPPINGS` The meta object literal for the 'Data Type Mappings' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `EXTENDED_PERSISTENT_ATTRIBUTES__ENTITY_MAPPINGS` The meta object literal for the 'Entity Mappings' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_ATTRIBUTE_COLUMN` The meta object literal for the 'Extended Attribute Column' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_TABLE_COLUMN` The meta object literal for the 'Extended Table Column' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_TYPE_COLUMN` The meta object literal for the 'Extended Type Column' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `EXTENDED_PERSISTENT_ATTRIBUTES__PRIMARY_KEY_COLUMN` The meta object literal for the 'Primary Key Column' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `EXTENDED_PERSISTENT_ATTRIBUTES__TABLE_NAME` The meta object literal for the 'Table Name' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `NAMED_EXTENSION` The meta object literal for the '`Named Extension`' class
    `static org.eclipse.emf.ecore.EAttribute` | `NAMED_EXTENSION__GUID` The meta object literal for the 'Guid' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `NAMED_EXTENSION__NAME` The meta object literal for the 'Name' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `NAMED_EXTENSION__SOURCE` The meta object literal for the 'Source' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `ROOT_EXTENSION` The meta object literal for the '`Root Extension`' class
    `static org.eclipse.emf.ecore.EReference` | `ROOT_EXTENSION__CURRENT_CUSTOM_DATA_TYPE` The meta object literal for the 'Current Custom Data Type' reference feature
    `static org.eclipse.emf.ecore.EReference` | `ROOT_EXTENSION__CURRENT_VOCABULARY_ELEMENT` The meta object literal for the 'Current Vocabulary Element' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `ROOT_EXTENSION__CUSTOM_DATA_TYPE_DISPLAY_COUNT` The meta object literal for the 'Custom Data Type Display Count' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `ROOT_EXTENSION__CUSTOM_DATA_TYPE_LIST` The meta object literal for the 'Custom Data Type List' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `ROOT_EXTENSION__DATABASE_ACCESS` The meta object literal for the 'Database Access' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ROOT_EXTENSION__DATABASE_METADATA` The meta object literal for the 'Database Metadata' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ROOT_EXTENSION__EXTENDED_PERSISTENT_ATTRIBUTES` The meta object literal for the 'Extended Persistent Attributes' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `ROOT_EXTENSION__JAVA_METADATA` The meta object literal for the 'Java Metadata' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `ROOT_EXTENSION__SELECTION` The meta object literal for the 'Selection' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ROOT_EXTENSION__VOCABULARY_CACHE` The meta object literal for the 'Vocabulary Cache' attribute feature
    `static org.eclipse.emf.ecore.EDataType` | `SELECTION` The meta object literal for the 'Selection' data type
    `static org.eclipse.emf.ecore.EDataType` | `TIME` The meta object literal for the 'Time' data type
    `static org.eclipse.emf.ecore.EDataType` | `VALUE_SET` The meta object literal for the 'Value Set' data type
    `static org.eclipse.emf.ecore.EClass` | `VOCABULARY_BOOLEAN` The meta object literal for the '`Vocabulary Boolean`' class
    `static org.eclipse.emf.ecore.EAttribute` | `VOCABULARY_BOOLEAN__VALUE` The meta object literal for the 'Value' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `VOCABULARY_DATA_TYPE` The meta object literal for the '`Vocabulary Data Type`' class
    `static org.eclipse.emf.ecore.EAttribute` | `VOCABULARY_DATA_TYPE__VALUE` The meta object literal for the 'Value' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `VOCABULARY_EXPRESSION` The meta object literal for the '`Vocabulary Expression`' class
    `static org.eclipse.emf.ecore.EAttribute` | `VOCABULARY_EXPRESSION__EXTERNAL` The meta object literal for the 'External' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `VOCABULARY_EXPRESSION__PARSER_OUTPUT` The meta object literal for the 'Parser Output' containment reference feature
    `static org.eclipse.emf.ecore.EDataType` | `VOCABULARY_FACADE` The meta object literal for the 'Vocabulary Facade' data type
    `static org.eclipse.emf.ecore.EClass` | `VOCABULARY_PROPERTY` The meta object literal for the '`Vocabulary Property`' class
    `static org.eclipse.emf.ecore.EAttribute` | `VOCABULARY_PROPERTY__MANUALLY_CREATED` The meta object literal for the 'Manually Created' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `VOCABULARY_STRING` The meta object literal for the '`Vocabulary String`' class
    `static org.eclipse.emf.ecore.EAttribute` | `VOCABULARY_STRING__VALUE` The meta object literal for the 'Value' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `VOCABULARY_VALUE_SET` The meta object literal for the '`Vocabulary Value Set`' class
    `static org.eclipse.emf.ecore.EAttribute` | `VOCABULARY_VALUE_SET__VALUE` The meta object literal for the 'Value' attribute feature

- - ### Field Detail

    - #### ASSOCIATION_END_EXTENSION

          static final org.eclipse.emf.ecore.EClass ASSOCIATION_END_EXTENSION

      The meta object literal for the '`Association End Extension`' class.
      See Also:
        `AssociationEndExtensionImpl`, `CanonicalvocabularymodelPackageImpl.getAssociationEndExtension()`

    - #### ASSOCIATION_END_EXTENSION__XML_PROPERTY_NAME

          static final org.eclipse.emf.ecore.EReference ASSOCIATION_END_EXTENSION__XML_PROPERTY_NAME

      The meta object literal for the 'XML Property Name' containment reference feature.

    - #### ASSOCIATION_END_EXTENSION__JAVA_OBJECT_GET_METHOD

          static final org.eclipse.emf.ecore.EReference ASSOCIATION_END_EXTENSION__JAVA_OBJECT_GET_METHOD

      The meta object literal for the 'Java Object Get Method' containment reference feature.

    - #### ASSOCIATION_END_EXTENSION__JAVA_OBJECT_SET_METHOD

          static final org.eclipse.emf.ecore.EReference ASSOCIATION_END_EXTENSION__JAVA_OBJECT_SET_METHOD

      The meta object literal for the 'Java Object Set Method' containment reference feature.

    - #### ASSOCIATION_END_EXTENSION__JAVA_OBJECT_FIELD_NAME

          static final org.eclipse.emf.ecore.EReference ASSOCIATION_END_EXTENSION__JAVA_OBJECT_FIELD_NAME

      The meta object literal for the 'Java Object Field Name' containment reference feature.

    - #### ASSOCIATION_END_EXTENSION__JOIN_EXPRESSION

          static final org.eclipse.emf.ecore.EReference ASSOCIATION_END_EXTENSION__JOIN_EXPRESSION

      The meta object literal for the 'Join Expression' containment reference feature.

    - #### ASSOCIATION_END_EXTENSION__IDENTITY_ENTITY

          static final org.eclipse.emf.ecore.EReference ASSOCIATION_END_EXTENSION__IDENTITY_ENTITY

      The meta object literal for the 'Identity Entity' reference feature.

    - #### ATTRIBUTE_EXTENSION

          static final org.eclipse.emf.ecore.EClass ATTRIBUTE_EXTENSION

      The meta object literal for the '`Attribute Extension`' class.
      See Also:
        `AttributeExtensionImpl`, `CanonicalvocabularymodelPackageImpl.getAttributeExtension()`

    - #### ATTRIBUTE_EXTENSION__DATA_TYPE

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__DATA_TYPE

      The meta object literal for the 'Data Type' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__MODE

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__MODE

      The meta object literal for the 'Mode' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__XML_NAMESPACE

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__XML_NAMESPACE

      The meta object literal for the 'XML Namespace' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__XML_PROPERTY_NAME

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__XML_PROPERTY_NAME

      The meta object literal for the 'XML Property Name' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__JAVA_OBJECT_GET_METHOD

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__JAVA_OBJECT_GET_METHOD

      The meta object literal for the 'Java Object Get Method' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__JAVA_OBJECT_SET_METHOD

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__JAVA_OBJECT_SET_METHOD

      The meta object literal for the 'Java Object Set Method' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__JAVA_OBJECT_FIELD_NAME

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__JAVA_OBJECT_FIELD_NAME

      The meta object literal for the 'Java Object Field Name' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__FIELD_COLUMN

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__FIELD_COLUMN

      The meta object literal for the 'Field Column' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__FIELD_NULL_VALUE

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__FIELD_NULL_VALUE

      The meta object literal for the 'Field Null Value' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__FIELD_DEFAULT_FETCH_GROUP

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__FIELD_DEFAULT_FETCH_GROUP

      The meta object literal for the 'Field Default Fetch Group' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__FIELD_VALUE_STRATEGY

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__FIELD_VALUE_STRATEGY

      The meta object literal for the 'Field Value Strategy' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__FIELD_SEQUENCE

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__FIELD_SEQUENCE

      The meta object literal for the 'Field Sequence' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_TABLE_NAME

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_TABLE_NAME

      The meta object literal for the 'Field Sequence Table Name' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_NAME_COLUMN_NAME

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_NAME_COLUMN_NAME

      The meta object literal for the 'Field Sequence Name Column Name' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_NEXTVAL_COLUMN_NAME

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_NEXTVAL_COLUMN_NAME

      The meta object literal for the 'Field Sequence Nextval Column Name' containment reference feature.

    - #### ATTRIBUTE_EXTENSION__IDENTITY_ENTITY

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__IDENTITY_ENTITY

      The meta object literal for the 'Identity Entity' reference feature.

    - #### ATTRIBUTE_EXTENSION__CUSTOM_DATA_TYPE

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE_EXTENSION__CUSTOM_DATA_TYPE

      The meta object literal for the 'Custom Data Type' reference feature.

    - #### ENTITY_EXTENSION

          static final org.eclipse.emf.ecore.EClass ENTITY_EXTENSION

      The meta object literal for the '`Entity Extension`' class.
      See Also:
        `EntityExtensionImpl`, `CanonicalvocabularymodelPackageImpl.getEntityExtension()`

    - #### ENTITY_EXTENSION__DATASTORE_PERSISTENT

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__DATASTORE_PERSISTENT

      The meta object literal for the 'Datastore Persistent' containment reference feature.

    - #### ENTITY_EXTENSION__JAVA_PACKAGE

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__JAVA_PACKAGE

      The meta object literal for the 'Java Package' containment reference feature.

    - #### ENTITY_EXTENSION__XML_NAMESPACE

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__XML_NAMESPACE

      The meta object literal for the 'XML Namespace' containment reference feature.

    - #### ENTITY_EXTENSION__XML_CLASS_NAME

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__XML_CLASS_NAME

      The meta object literal for the 'XML Class Name' containment reference feature.

    - #### ENTITY_EXTENSION__JAVA_CLASS_NAME

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__JAVA_CLASS_NAME

      The meta object literal for the 'Java Class Name' containment reference feature.

    - #### ENTITY_EXTENSION__CLASS_TABLE

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__CLASS_TABLE

      The meta object literal for the 'Class Table' containment reference feature.

    - #### ENTITY_EXTENSION__DATASTORE_CACHING

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__DATASTORE_CACHING

      The meta object literal for the 'Datastore Caching' containment reference feature.

    - #### ENTITY_EXTENSION__DATASTORE_IDENTITY_STRATEGY

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__DATASTORE_IDENTITY_STRATEGY

      The meta object literal for the 'Datastore Identity Strategy' containment reference feature.

    - #### ENTITY_EXTENSION__DATASTORE_IDENTITY_COLUMN

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__DATASTORE_IDENTITY_COLUMN

      The meta object literal for the 'Datastore Identity Column' containment reference feature.

    - #### ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE

      The meta object literal for the 'Datastore Identity Sequence' containment reference feature.

    - #### ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_TABLE_NAME

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_TABLE_NAME

      The meta object literal for the 'Datastore Identity Sequence Table Name' containment reference feature.

    - #### ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_NAME_COLUMN_NAME

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_NAME_COLUMN_NAME

      The meta object literal for the 'Datastore Identity Sequence Name Column Name' containment reference feature.

    - #### ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_NEXTVAL_COLUMN_NAME

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_NEXTVAL_COLUMN_NAME

      The meta object literal for the 'Datastore Identity Sequence Nextval Column Name' containment reference feature.

    - #### ENTITY_EXTENSION__VERSION_STRATEGY

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__VERSION_STRATEGY

      The meta object literal for the 'Version Strategy' containment reference feature.

    - #### ENTITY_EXTENSION__VERSION_COLUMN

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__VERSION_COLUMN

      The meta object literal for the 'Version Column' containment reference feature.

    - #### ENTITY_EXTENSION__IDENTITY_ASSOCIATION_ENDS

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__IDENTITY_ASSOCIATION_ENDS

      The meta object literal for the 'Identity Association Ends' reference list feature.

    - #### ENTITY_EXTENSION__IDENTITY_ATTRIBUTES

          static final org.eclipse.emf.ecore.EReference ENTITY_EXTENSION__IDENTITY_ATTRIBUTES

      The meta object literal for the 'Identity Attributes' reference list feature.

    - #### ROOT_EXTENSION

          static final org.eclipse.emf.ecore.EClass ROOT_EXTENSION

      The meta object literal for the '`Root Extension`' class.
      See Also:
        `RootExtensionImpl`, `CanonicalvocabularymodelPackageImpl.getRootExtension()`

    - #### ROOT_EXTENSION__SELECTION

          static final org.eclipse.emf.ecore.EAttribute ROOT_EXTENSION__SELECTION

      The meta object literal for the 'Selection' attribute feature.

    - #### ROOT_EXTENSION__CURRENT_VOCABULARY_ELEMENT

          static final org.eclipse.emf.ecore.EReference ROOT_EXTENSION__CURRENT_VOCABULARY_ELEMENT

      The meta object literal for the 'Current Vocabulary Element' reference feature.

    - #### ROOT_EXTENSION__CURRENT_CUSTOM_DATA_TYPE

          static final org.eclipse.emf.ecore.EReference ROOT_EXTENSION__CURRENT_CUSTOM_DATA_TYPE

      The meta object literal for the 'Current Custom Data Type' reference feature.

    - #### ROOT_EXTENSION__CUSTOM_DATA_TYPE_DISPLAY_COUNT

          static final org.eclipse.emf.ecore.EAttribute ROOT_EXTENSION__CUSTOM_DATA_TYPE_DISPLAY_COUNT

      The meta object literal for the 'Custom Data Type Display Count' attribute feature.

    - #### ROOT_EXTENSION__VOCABULARY_CACHE

          static final org.eclipse.emf.ecore.EAttribute ROOT_EXTENSION__VOCABULARY_CACHE

      The meta object literal for the 'Vocabulary Cache' attribute feature.

    - #### ROOT_EXTENSION__DATABASE_ACCESS

          static final org.eclipse.emf.ecore.EReference ROOT_EXTENSION__DATABASE_ACCESS

      The meta object literal for the 'Database Access' containment reference feature.

    - #### ROOT_EXTENSION__CUSTOM_DATA_TYPE_LIST

          static final org.eclipse.emf.ecore.EReference ROOT_EXTENSION__CUSTOM_DATA_TYPE_LIST

      The meta object literal for the 'Custom Data Type List' containment reference list feature.

    - #### ROOT_EXTENSION__EXTENDED_PERSISTENT_ATTRIBUTES

          static final org.eclipse.emf.ecore.EReference ROOT_EXTENSION__EXTENDED_PERSISTENT_ATTRIBUTES

      The meta object literal for the 'Extended Persistent Attributes' containment reference list feature.

    - #### ROOT_EXTENSION__DATABASE_METADATA

          static final org.eclipse.emf.ecore.EReference ROOT_EXTENSION__DATABASE_METADATA

      The meta object literal for the 'Database Metadata' containment reference feature.

    - #### ROOT_EXTENSION__JAVA_METADATA

          static final org.eclipse.emf.ecore.EReference ROOT_EXTENSION__JAVA_METADATA

      The meta object literal for the 'Java Metadata' containment reference feature.

    - #### VOCABULARY_PROPERTY

          static final org.eclipse.emf.ecore.EClass VOCABULARY_PROPERTY

      The meta object literal for the '`Vocabulary Property`' class.
      See Also:
        `VocabularyPropertyImpl`, `CanonicalvocabularymodelPackageImpl.getVocabularyProperty()`

    - #### VOCABULARY_PROPERTY__MANUALLY_CREATED

          static final org.eclipse.emf.ecore.EAttribute VOCABULARY_PROPERTY__MANUALLY_CREATED

      The meta object literal for the 'Manually Created' attribute feature.

    - #### VOCABULARY_STRING

          static final org.eclipse.emf.ecore.EClass VOCABULARY_STRING

      The meta object literal for the '`Vocabulary String`' class.
      See Also:
        `VocabularyStringImpl`, `CanonicalvocabularymodelPackageImpl.getVocabularyString()`

    - #### VOCABULARY_STRING__VALUE

          static final org.eclipse.emf.ecore.EAttribute VOCABULARY_STRING__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### VOCABULARY_BOOLEAN

          static final org.eclipse.emf.ecore.EClass VOCABULARY_BOOLEAN

      The meta object literal for the '`Vocabulary Boolean`' class.
      See Also:
        `VocabularyBooleanImpl`, `CanonicalvocabularymodelPackageImpl.getVocabularyBoolean()`

    - #### VOCABULARY_BOOLEAN__VALUE

          static final org.eclipse.emf.ecore.EAttribute VOCABULARY_BOOLEAN__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### VOCABULARY_VALUE_SET

          static final org.eclipse.emf.ecore.EClass VOCABULARY_VALUE_SET

      The meta object literal for the '`Vocabulary Value Set`' class.
      See Also:
        `VocabularyValueSetImpl`, `CanonicalvocabularymodelPackageImpl.getVocabularyValueSet()`

    - #### VOCABULARY_VALUE_SET__VALUE

          static final org.eclipse.emf.ecore.EAttribute VOCABULARY_VALUE_SET__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### DOMAIN_EXTENSION

          static final org.eclipse.emf.ecore.EClass DOMAIN_EXTENSION

      The meta object literal for the '`Domain Extension`' class.
      See Also:
        `DomainExtensionImpl`, `CanonicalvocabularymodelPackageImpl.getDomainExtension()`

    - #### DATABASE_ACCESS

          static final org.eclipse.emf.ecore.EClass DATABASE_ACCESS

      The meta object literal for the '`Database Access`' class.
      See Also:
        `DatabaseAccessImpl`, `CanonicalvocabularymodelPackageImpl.getDatabaseAccess()`

    - #### DATABASE_ACCESS__DATABASE_ID

          static final org.eclipse.emf.ecore.EReference DATABASE_ACCESS__DATABASE_ID

      The meta object literal for the 'Database Id' containment reference feature.

    - #### DATABASE_ACCESS__JDBC_DRIVER_CLASS

          static final org.eclipse.emf.ecore.EReference DATABASE_ACCESS__JDBC_DRIVER_CLASS

      The meta object literal for the 'Jdbc Driver Class' containment reference feature.

    - #### DATABASE_ACCESS__DATABASE_URL

          static final org.eclipse.emf.ecore.EReference DATABASE_ACCESS__DATABASE_URL

      The meta object literal for the 'Database URL' containment reference feature.

    - #### DATABASE_ACCESS__USERNAME

          static final org.eclipse.emf.ecore.EReference DATABASE_ACCESS__USERNAME

      The meta object literal for the 'Username' containment reference feature.

    - #### DATABASE_ACCESS__PASSWORD

          static final org.eclipse.emf.ecore.EReference DATABASE_ACCESS__PASSWORD

      The meta object literal for the 'Password' containment reference feature.

    - #### DATABASE_ACCESS__DATABASE_PROPERTY_DISPLAY_COUNT

          static final org.eclipse.emf.ecore.EAttribute DATABASE_ACCESS__DATABASE_PROPERTY_DISPLAY_COUNT

      The meta object literal for the 'Database Property Display Count' attribute feature.

    - #### DATABASE_ACCESS__CATALOG_FILTER

          static final org.eclipse.emf.ecore.EReference DATABASE_ACCESS__CATALOG_FILTER

      The meta object literal for the 'Catalog Filter' containment reference feature.

    - #### DATABASE_ACCESS__SCHEMA_FILTER

          static final org.eclipse.emf.ecore.EReference DATABASE_ACCESS__SCHEMA_FILTER

      The meta object literal for the 'Schema Filter' containment reference feature.

    - #### DATABASE_ACCESS__DATABASE_PROPERTY_LIST

          static final org.eclipse.emf.ecore.EReference DATABASE_ACCESS__DATABASE_PROPERTY_LIST

      The meta object literal for the 'Database Property List' containment reference list feature.

    - #### DATABASE_PROPERTY

          static final org.eclipse.emf.ecore.EClass DATABASE_PROPERTY

      The meta object literal for the '`Database Property`' class.
      See Also:
        `DatabasePropertyImpl`, `CanonicalvocabularymodelPackageImpl.getDatabaseProperty()`

    - #### DATABASE_PROPERTY__NAME

          static final org.eclipse.emf.ecore.EReference DATABASE_PROPERTY__NAME

      The meta object literal for the 'Name' containment reference feature.

    - #### DATABASE_PROPERTY__VALUE

          static final org.eclipse.emf.ecore.EReference DATABASE_PROPERTY__VALUE

      The meta object literal for the 'Value' containment reference feature.

    - #### CUSTOM_DATA_TYPE

          static final org.eclipse.emf.ecore.EClass CUSTOM_DATA_TYPE

      The meta object literal for the '`Custom Data Type`' class.
      See Also:
        `CustomDataTypeImpl`, `CanonicalvocabularymodelPackageImpl.getCustomDataType()`

    - #### CUSTOM_DATA_TYPE__GUID

          static final org.eclipse.emf.ecore.EAttribute CUSTOM_DATA_TYPE__GUID

      The meta object literal for the 'Guid' attribute feature.

    - #### CUSTOM_DATA_TYPE__DATA_TYPE_NAME

          static final org.eclipse.emf.ecore.EReference CUSTOM_DATA_TYPE__DATA_TYPE_NAME

      The meta object literal for the 'Data Type Name' containment reference list feature.

    - #### CUSTOM_DATA_TYPE__BASE_DATA_TYPE

          static final org.eclipse.emf.ecore.EReference CUSTOM_DATA_TYPE__BASE_DATA_TYPE

      The meta object literal for the 'Base Data Type' containment reference feature.

    - #### CUSTOM_DATA_TYPE__ENUMERATION

          static final org.eclipse.emf.ecore.EReference CUSTOM_DATA_TYPE__ENUMERATION

      The meta object literal for the 'Enumeration' containment reference feature.

    - #### CUSTOM_DATA_TYPE__CONSTRAINT_EXPRESSION

          static final org.eclipse.emf.ecore.EReference CUSTOM_DATA_TYPE__CONSTRAINT_EXPRESSION

      The meta object literal for the 'Constraint Expression' containment reference feature.

    - #### CUSTOM_DATA_TYPE__DISCOVERED

          static final org.eclipse.emf.ecore.EAttribute CUSTOM_DATA_TYPE__DISCOVERED

      The meta object literal for the 'Discovered' attribute feature.

    - #### CUSTOM_DATA_TYPE__ENUMERATION_DISPLAY_COUNT

          static final org.eclipse.emf.ecore.EAttribute CUSTOM_DATA_TYPE__ENUMERATION_DISPLAY_COUNT

      The meta object literal for the 'Enumeration Display Count' attribute feature.

    - #### CUSTOM_DATA_TYPE__DATABASE_LOOKUP_PROPERTIES

          static final org.eclipse.emf.ecore.EReference CUSTOM_DATA_TYPE__DATABASE_LOOKUP_PROPERTIES

      The meta object literal for the 'Database Lookup Properties' containment reference feature.

    - #### CUSTOM_DATA_TYPE__ENUMERATION_ELEMENTS

          static final org.eclipse.emf.ecore.EReference CUSTOM_DATA_TYPE__ENUMERATION_ELEMENTS

      The meta object literal for the 'Enumeration Elements' containment reference list feature.

    - #### CUSTOM_DATA_TYPE__EDATA_TYPE

          static final org.eclipse.emf.ecore.EReference CUSTOM_DATA_TYPE__EDATA_TYPE

      The meta object literal for the 'EData Type' reference feature.

    - #### NAMED_EXTENSION

          static final org.eclipse.emf.ecore.EClass NAMED_EXTENSION

      The meta object literal for the '`Named Extension`' class.
      See Also:
        `NamedExtensionImpl`, `CanonicalvocabularymodelPackageImpl.getNamedExtension()`

    - #### NAMED_EXTENSION__GUID

          static final org.eclipse.emf.ecore.EAttribute NAMED_EXTENSION__GUID

      The meta object literal for the 'Guid' attribute feature.

    - #### NAMED_EXTENSION__NAME

          static final org.eclipse.emf.ecore.EReference NAMED_EXTENSION__NAME

      The meta object literal for the 'Name' containment reference list feature.

    - #### NAMED_EXTENSION__SOURCE

          static final org.eclipse.emf.ecore.EAttribute NAMED_EXTENSION__SOURCE

      The meta object literal for the 'Source' attribute feature.

    - #### VOCABULARY_EXPRESSION

          static final org.eclipse.emf.ecore.EClass VOCABULARY_EXPRESSION

      The meta object literal for the '`Vocabulary Expression`' class.
      See Also:
        `VocabularyExpressionImpl`, `CanonicalvocabularymodelPackageImpl.getVocabularyExpression()`

    - #### VOCABULARY_EXPRESSION__EXTERNAL

          static final org.eclipse.emf.ecore.EAttribute VOCABULARY_EXPRESSION__EXTERNAL

      The meta object literal for the 'External' attribute feature.

    - #### VOCABULARY_EXPRESSION__PARSER_OUTPUT

          static final org.eclipse.emf.ecore.EReference VOCABULARY_EXPRESSION__PARSER_OUTPUT

      The meta object literal for the 'Parser Output' containment reference feature.

    - #### DATABASE_LOOKUP_PROPERTIES

          static final org.eclipse.emf.ecore.EClass DATABASE_LOOKUP_PROPERTIES

      The meta object literal for the '`Database Lookup Properties`' class.
      See Also:
        `DatabaseLookupPropertiesImpl`, `CanonicalvocabularymodelPackageImpl.getDatabaseLookupProperties()`

    - #### DATABASE_LOOKUP_PROPERTIES__TABLE_NAME

          static final org.eclipse.emf.ecore.EReference DATABASE_LOOKUP_PROPERTIES__TABLE_NAME

      The meta object literal for the 'Table Name' containment reference feature.

    - #### DATABASE_LOOKUP_PROPERTIES__LABELS_COLUMN_NAME

          static final org.eclipse.emf.ecore.EReference DATABASE_LOOKUP_PROPERTIES__LABELS_COLUMN_NAME

      The meta object literal for the 'Labels Column Name' containment reference feature.

    - #### DATABASE_LOOKUP_PROPERTIES__VALUES_COLUMN_NAME

          static final org.eclipse.emf.ecore.EReference DATABASE_LOOKUP_PROPERTIES__VALUES_COLUMN_NAME

      The meta object literal for the 'Values Column Name' containment reference feature.

    - #### ENUMERATION_ELEMENT

          static final org.eclipse.emf.ecore.EClass ENUMERATION_ELEMENT

      The meta object literal for the '`Enumeration Element`' class.
      See Also:
        `EnumerationElementImpl`, `CanonicalvocabularymodelPackageImpl.getEnumerationElement()`

    - #### ENUMERATION_ELEMENT__GUID

          static final org.eclipse.emf.ecore.EAttribute ENUMERATION_ELEMENT__GUID

      The meta object literal for the 'Guid' attribute feature.

    - #### ENUMERATION_ELEMENT__LABEL

          static final org.eclipse.emf.ecore.EReference ENUMERATION_ELEMENT__LABEL

      The meta object literal for the 'Label' containment reference list feature.

    - #### ENUMERATION_ELEMENT__VALUE

          static final org.eclipse.emf.ecore.EReference ENUMERATION_ELEMENT__VALUE

      The meta object literal for the 'Value' containment reference feature.

    - #### EXTENDED_PERSISTENT_ATTRIBUTES

          static final org.eclipse.emf.ecore.EClass EXTENDED_PERSISTENT_ATTRIBUTES

      The meta object literal for the '`Extended Persistent Attributes`' class.
      See Also:
        `ExtendedPersistentAttributesImpl`, `CanonicalvocabularymodelPackageImpl.getExtendedPersistentAttributes()`

    - #### EXTENDED_PERSISTENT_ATTRIBUTES__TABLE_NAME

          static final org.eclipse.emf.ecore.EReference EXTENDED_PERSISTENT_ATTRIBUTES__TABLE_NAME

      The meta object literal for the 'Table Name' containment reference feature.

    - #### EXTENDED_PERSISTENT_ATTRIBUTES__PRIMARY_KEY_COLUMN

          static final org.eclipse.emf.ecore.EReference EXTENDED_PERSISTENT_ATTRIBUTES__PRIMARY_KEY_COLUMN

      The meta object literal for the 'Primary Key Column' containment reference feature.

    - #### EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_TABLE_COLUMN

          static final org.eclipse.emf.ecore.EReference EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_TABLE_COLUMN

      The meta object literal for the 'Extended Table Column' containment reference feature.

    - #### EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_ATTRIBUTE_COLUMN

          static final org.eclipse.emf.ecore.EReference EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_ATTRIBUTE_COLUMN

      The meta object literal for the 'Extended Attribute Column' containment reference feature.

    - #### EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_TYPE_COLUMN

          static final org.eclipse.emf.ecore.EReference EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_TYPE_COLUMN

      The meta object literal for the 'Extended Type Column' containment reference feature.

    - #### EXTENDED_PERSISTENT_ATTRIBUTES__ENTITY_MAPPINGS

          static final org.eclipse.emf.ecore.EReference EXTENDED_PERSISTENT_ATTRIBUTES__ENTITY_MAPPINGS

      The meta object literal for the 'Entity Mappings' containment reference list feature.

    - #### EXTENDED_PERSISTENT_ATTRIBUTES__DATA_TYPE_MAPPINGS

          static final org.eclipse.emf.ecore.EReference EXTENDED_PERSISTENT_ATTRIBUTES__DATA_TYPE_MAPPINGS

      The meta object literal for the 'Data Type Mappings' containment reference list feature.

    - #### ENTITY_MAPPING

          static final org.eclipse.emf.ecore.EClass ENTITY_MAPPING

      The meta object literal for the '`Entity Mapping`' class.
      See Also:
        `EntityMappingImpl`, `CanonicalvocabularymodelPackageImpl.getEntityMapping()`

    - #### ENTITY_MAPPING__EXTENDED_TABLE

          static final org.eclipse.emf.ecore.EReference ENTITY_MAPPING__EXTENDED_TABLE

      The meta object literal for the 'Extended Table' containment reference feature.

    - #### ENTITY_MAPPING__VOCABULARY_ENTITY

          static final org.eclipse.emf.ecore.EReference ENTITY_MAPPING__VOCABULARY_ENTITY

      The meta object literal for the 'Vocabulary Entity' containment reference feature.

    - #### DATA_TYPE_MAPPING

          static final org.eclipse.emf.ecore.EClass DATA_TYPE_MAPPING

      The meta object literal for the '`Data Type Mapping`' class.
      See Also:
        `DataTypeMappingImpl`, `CanonicalvocabularymodelPackageImpl.getDataTypeMapping()`

    - #### DATA_TYPE_MAPPING__EXTENDED_TYPE

          static final org.eclipse.emf.ecore.EReference DATA_TYPE_MAPPING__EXTENDED_TYPE

      The meta object literal for the 'Extended Type' containment reference feature.

    - #### DATA_TYPE_MAPPING__VOCABULARY_DATA_TYPE

          static final org.eclipse.emf.ecore.EReference DATA_TYPE_MAPPING__VOCABULARY_DATA_TYPE

      The meta object literal for the 'Vocabulary Data Type' containment reference feature.

    - #### VOCABULARY_DATA_TYPE

          static final org.eclipse.emf.ecore.EClass VOCABULARY_DATA_TYPE

      The meta object literal for the '`Vocabulary Data Type`' class.
      See Also:
        `VocabularyDataTypeImpl`, `CanonicalvocabularymodelPackageImpl.getVocabularyDataType()`

    - #### VOCABULARY_DATA_TYPE__VALUE

          static final org.eclipse.emf.ecore.EAttribute VOCABULARY_DATA_TYPE__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### DATA_TYPE

          static final org.eclipse.emf.ecore.EEnum DATA_TYPE

      The meta object literal for the '`Data Type`' enum.
      See Also:
        `DataType`, `CanonicalvocabularymodelPackageImpl.getDataType()`

    - #### VALUE_SET

          static final org.eclipse.emf.ecore.EDataType VALUE_SET

      The meta object literal for the 'Value Set' data type.
      See Also:
        `ValueSet`, `CanonicalvocabularymodelPackageImpl.getValueSet()`

    - #### SELECTION

          static final org.eclipse.emf.ecore.EDataType SELECTION

      The meta object literal for the 'Selection' data type.
      See Also:
        `Selection`, `CanonicalvocabularymodelPackageImpl.getSelection()`

    - #### DATE_TIME

          static final org.eclipse.emf.ecore.EDataType DATE_TIME

      The meta object literal for the 'Date Time' data type.
      See Also:
        `Date`, `CanonicalvocabularymodelPackageImpl.getDateTime()`

    - #### DATE

          static final org.eclipse.emf.ecore.EDataType DATE

      The meta object literal for the 'Date' data type.
      See Also:
        `Date`, `CanonicalvocabularymodelPackageImpl.getDate()`

    - #### TIME

          static final org.eclipse.emf.ecore.EDataType TIME

      The meta object literal for the 'Time' data type.
      See Also:
        `Time`, `CanonicalvocabularymodelPackageImpl.getTime()`

    - #### VOCABULARY_FACADE

          static final org.eclipse.emf.ecore.EDataType VOCABULARY_FACADE

      The meta object literal for the 'Vocabulary Facade' data type.
      See Also:
        `Object`, `CanonicalvocabularymodelPackageImpl.getVocabularyFacade()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.